Package com.stardog.stark.query

# Class Datasets

java.lang.Object
com.stardog.stark.query.Datasets

public final class Datasets extends Object

Utilities for working with `Dataset`

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `Datasets.DatasetImpl`
  Default implementation of a `Dataset`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Dataset`
  `ALL_LOCAL`
  The query dataset where the default graph is the union of all local (non-virtual) graphs.
  `static final Dataset`
  `DEFAULT`
  The default query dataset
  `static final Dataset`
  `EMPTY`
  A Dataset which is empty, that is, it's comprised of zero graphs.
  `static final Dataset`
  `NO_DATASET`
  Constant for specifying that there is no specific dataset; a `Query` should use whatever information is in its from/from named clauses.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Datasets.DatasetImpl.Builder`
  `builder()`
  Return a new `Datasets.DatasetImpl.Builder` builder for a `Dataset`
  `static Dataset`
  `of(IRI theIRI, IRI... theRest)`
  Create a `Dataset` which consists of the specified default graphs
  `static Dataset`
  `of(Iterable<IRI> theGraphs)`
  Create a `Dataset` which consists of the specified default graphs
  `static Dataset`
  `ofNamed(IRI theIRI, IRI... theRest)`
  Create a `Dataset` which consists of the specified named graphs
  `static Dataset`
  `ofNamed(Iterable<IRI> theGraphs)`
  Create a `Dataset` which consists of the specified named graphs

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NO_DATASET

    public static final Dataset NO_DATASET
    Constant for specifying that there is no specific dataset; a `Query` should use whatever information is in its from/from named clauses.

  - ### EMPTY

    public static final Dataset EMPTY
    A Dataset which is empty, that is, it's comprised of zero graphs.

  - ### DEFAULT

    public static final Dataset DEFAULT
    The default query dataset

  - ### ALL_LOCAL

    public static final Dataset ALL_LOCAL
    The query dataset where the default graph is the union of all local (non-virtual) graphs.

- ## Method Details

  - ### of

    public static Dataset of(IRI theIRI, IRI... theRest)
    Create a `Dataset` which consists of the specified default graphs
    Parameters:
      `theIRI` - the default graph
      `theRest` - more default graphs
    Returns:
      the `Dataset`

  - ### of

    public static Dataset of(Iterable<IRI> theGraphs)
    Create a `Dataset` which consists of the specified default graphs
    Parameters:
      `theGraphs` - the default graphs
    Returns:
      the `Dataset`

  - ### ofNamed

    public static Dataset ofNamed(IRI theIRI, IRI... theRest)
    Create a `Dataset` which consists of the specified named graphs
    Parameters:
      `theIRI` - the named graph
      `theRest` - more named graphs
    Returns:
      the `Dataset`

  - ### ofNamed

    public static Dataset ofNamed(Iterable<IRI> theGraphs)
    Create a `Dataset` which consists of the specified named graphs
    Parameters:
      `theGraphs` - the named graphs
    Returns:
      the `Dataset`

  - ### builder

    public static Datasets.DatasetImpl.Builder builder()
    Return a new `Datasets.DatasetImpl.Builder` builder for a `Dataset`
    Returns:
      the builder